windows server 2012 R2 .net 3.5 telepítési hiba

 ( galore33 | 2019. augusztus 6., kedd - 14:41 )

Sziasztok,

wsus riportokat nem tudok készíteni, mivel "A szolgáltatás használatához a Microsoft Report Viewer 2008 terjeszthető változata szükséges" hibaüzenetet és egyben linket kapom, ami mögött a Reportviewer.exe lapul.
Ezt elindítva jön a felismerés,h nincs a szerveren .Net 2.0.
Nosza, be a Szerepkörök és szolgáltatások hozzáadásába, ott kipipálva a .Net-keretrendszer 3.5 funkciói - .Net-keretrendszer 3.5 (a .Net 2.0 és 3.0 a része) szolgáltatást,
elindul a telepítő, majd 0x80005700 hibával leáll.

-Ugyanezt a Szerepkörök és szolgáltatások hozzáadását indítva, az "Alternatív forrás elérési útjának megadásával" (telepítőcédé a d meghajtóban) - D:\sources\sxs - szintén sikertelen.

-Parancssorból a 'dism /online /enable-feature /featurename:NetFX3 /all /Source:d:\sources\sxs /LimitAccess' futtatva 65.9%-ról indul, idővel lesz belőle 66.2%, majd elhasal szintén. (Error: 0x800f081f . The source file could not be found...)

Ezek szerint:
https://robertsmit.wordpress.com/2014/10/20/failed-to-install-net-framework-3-5-feature-windows-server-2012r2-or-on-azure-vm-error-0x800f081f-working-solution-winserv-mvpbuzz/

Powershellből futtatva a Get-WindowsFeature -t, a " .Net keretrendszer 3.5 funkciói - Available, alatta .Net-keretrendszer 3.5 (a .Net 2.0 és 3.0 a...) - Removed.
Valszeg itt lesz a probléma. Nekem viszont nincs eltávolítható KB2966828 frissítésem, se KB3005628-asom.

Tudnátok segíteni, hogyan tovább?

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Szia!

Nem egészen értem a problémát.

Microsoft Report Viewer Redistributable 2008
Required Software:
-NET Framework version 3.5
https://www.microsoft.com/en-us/download/details.aspx?id=6576

Neked ez kell.

Másik:
Windows 2012 R2 dvd berak -> D:\ meghajtó
dism /Online /Enable-Feature /FeatureName:NetFx3 /All /LimitAccess /Source:d:\sources\sxs

Sorrend nem mindegy :)
(Ezt dotnet3.5 telepítést olyan jól megcsinálták (Win8/Win8.1/2012R2), hogy GUI-ban nem is lehet felrakni - csak így.)

De ez már telepítve kell hogy legyen, mert a WSUS-nak kell a dotnet 3.5 csomag.

kösz a hozzászólást.
a probléma,h nem tudok riportot csinálni a leírtak miatt ;-)

Szia!

Fenti linkről letöltöd a fájlt, elindítod és nem fut le?
(Nem kell neki dotnet2.0, hanem dotnet3.5)